## Apache Zeta Components Manual :: Docs For Class ezcBaseMetaDataPearReader

### Base::ezcBaseMetaDataPearReader

### Class ezcBaseMetaDataPearReader

Base class implements ways of fetching information about the installed eZ Components when installed as tarball.

Note: there are lots of @ used here, because PEAR still lives in the stone age with their PHP 3 code and general liberal use of throwing warnings and notices.

Source for this file: /Base/src/metadata/pear.php

Version: | //autogentag//

### Method Summary

public ezcBaseMetaDataPearReader | `__construct( )` Creates the reader object and initialized the registry for querying
public string | `getBundleVersion( )` Returns the version string for the installed eZ Components bundle.
public array(string=>string). | `getComponentDependencies( [ $componentName = 'ezcomponents'] )` Returns a list of components that $componentName depends on.
public string | `getComponentVersion( $componentName )` Returns the version string of the available $componentName or false when the component is not installed.
public string | `getRequiredPhpVersion( )` Returns a PHP version string that describes the required PHP version for this installed eZ Components bundle.
public bool | `isComponentInstalled( $componentName )` Returns whether $componentName is installed

### Methods

#### __construct

ezcBaseMetaDataPearReader __construct( )

Creates the reader object and initialized the registry for querying

#### getBundleVersion

string getBundleVersion( )

Returns the version string for the installed eZ Components bundle.

A version string such as "2008.2.2" is returned.

#### getComponentDependencies

array(string=>string). getComponentDependencies( [ $componentName = 'ezcomponents'] )

Returns a list of components that $componentName depends on.

If $componentName is left empty, all installed components are returned.

The returned array has as keys the component names, and as values the version of the components.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$componentName` |  |

#### getComponentVersion

string getComponentVersion( $componentName )

Returns the version string of the available $componentName or false when the component is not installed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$componentName` |  |

#### getRequiredPhpVersion

string getRequiredPhpVersion( )

Returns a PHP version string that describes the required PHP version for this installed eZ Components bundle.

#### isComponentInstalled

bool isComponentInstalled( $componentName )

Returns whether $componentName is installed

Checks the PEAR registry whether the component is there.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$componentName` |  |

Documentation generated by phpDocumentor 1.4.3